Bug 245172

Summary: emulators/wine-devel: Add missing LIB_DEPENDS: libinotify and libunwind
Product: Ports & Packages Reporter: Andy Mender <andymenderunix>
Component: Individual Port(s)Assignee: Gerald Pfeifer <gerald>
Status: Closed FIXED    
Severity: Affects Some People CC: salvadore
Priority: --- Flags: gerald: merge-quarterly+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Makefile diff none

Description Andy Mender 2020-03-29 19:00:59 UTC
Created attachment 212843 [details]
Makefile diff

When building the emulators/wine-devel port, make reports that the port links against libinotify.so (port devel/libinotify) and libunwind.so (port devel/libunwind), but these are missing from LIB_DEPENDS.

The attached svnlite diff rectifies this omission.

This is but a minor thing and I know that the maintainers of the WINE ports are already busy with bug #244368 and bug #244369.
Comment 1 Gerald Pfeifer freebsd_committer 2020-03-29 22:36:45 UTC
This won't happen in a clean build environment, but indeed is an issue,
so thank you for reporting this.

I plan on removing this dependency by means of advising ./configure
accordingly instead of adding dependencies unless anyone has a good
reason to the contrary - but note that anyone using our packages or
building packages themselves via poudriere or similar will already
be in exactly that scenario.
Comment 2 Andy Mender 2020-03-30 11:47:53 UTC
(In reply to Gerald Pfeifer from comment #1)
These could be added as OPTIONS I guess, but I think your suggestion is even better.
Comment 3 commit-hook freebsd_committer 2020-04-02 18:55:51 UTC
A commit references this bug:

Author: gerald
Date: Thu Apr  2 18:54:51 UTC 2020
New revision: 530401
URL: https://svnweb.freebsd.org/changeset/ports/530401

Log:
  Explicitly configure --without-unwind so that the presence of the
  devel/libunwind port does not pull in an implicit dependency that
  is not tracked properly.

  Reported by:	Andy Mender <andymenderunix@gmail.com>
  PR:		245172

Changes:
  head/emulators/wine-devel/Makefile
Comment 4 Gerald Pfeifer freebsd_committer 2020-04-02 19:17:34 UTC
The case of libunwind should now be addressed.  We could do the very
same for libinotify, but I'd like to look into something there first.
Comment 5 commit-hook freebsd_committer 2020-04-24 21:28:31 UTC
A commit references this bug:

Author: gerald
Date: Fri Apr 24 21:28:23 UTC 2020
New revision: 532899
URL: https://svnweb.freebsd.org/changeset/ports/532899

Log:
  Backport r530401 | gerald | 2020-04-02 from our wine-devel companion:

    Explicitly configure --without-unwind so that the presence of the
    devel/libunwind port does not pull in an implicit dependency that
    is not tracked properly.

  Reported by:	Andy Mender <andymenderunix@gmail.com>
  PR:		245172

Changes:
  head/emulators/wine/Makefile
Comment 6 Gerald Pfeifer freebsd_committer 2020-05-09 10:09:13 UTC
(In reply to Gerald Pfeifer from comment #4)
> The case of libunwind should now be addressed.  We could do the very
> same for libinotify, but I'd like to look into something there first.

My idea for libinotify did not work out, so I'll disable this via a
configure switch -- in alignment with your agreement in comment #2.

I plan on MFHing this and backporting it to emulators/wine.
Comment 7 commit-hook freebsd_committer 2020-05-09 10:49:13 UTC
A commit references this bug:

Author: gerald
Date: Sat May  9 10:48:18 UTC 2020
New revision: 534732
URL: https://svnweb.freebsd.org/changeset/ports/534732

Log:
  Explicitly configure --without-inotify so that the presence of the
  devel/libinotify port does not pull in an implicit dependency that
  is not tracked properly.

  Reported by:	Andy Mender <andymenderunix@gmail.com>
  PR:		245172
  MFH:		2020Q2 (blanket: missing dependency)

Changes:
  head/emulators/wine-devel/Makefile
Comment 8 commit-hook freebsd_committer 2020-05-10 10:19:13 UTC
A commit references this bug:

Author: gerald
Date: Sun May 10 10:18:39 UTC 2020
New revision: 534843
URL: https://svnweb.freebsd.org/changeset/ports/534843

Log:
  MFH: r530401

  Explicitly configure --without-unwind so that the presence of the
  devel/libunwind port does not pull in an implicit dependency that
  is not tracked properly.

  Reported by:	Andy Mender <andymenderunix@gmail.com>
  PR:		245172
  Approved by:	portmgr (blanket: dependency issue)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/emulators/wine-devel/Makefile
Comment 9 commit-hook freebsd_committer 2020-05-11 09:01:08 UTC
A commit references this bug:

Author: gerald
Date: Mon May 11 09:00:10 UTC 2020
New revision: 534895
URL: https://svnweb.freebsd.org/changeset/ports/534895

Log:
  MFH: r534732

  Explicitly configure --without-inotify so that the presence of the
  devel/libinotify port does not pull in an implicit dependency that
  is not tracked properly.

  Reported by:	Andy Mender <andymenderunix@gmail.com>
  PR:		245172
  Approved by:	portmgr (blanket: dependency issue)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/emulators/wine-devel/Makefile
Comment 10 commit-hook freebsd_committer 2020-05-12 07:44:38 UTC
A commit references this bug:

Author: gerald
Date: Tue May 12 07:44:12 UTC 2020
New revision: 534975
URL: https://svnweb.freebsd.org/changeset/ports/534975

Log:
  MFH: r532899

  Backport r530401 | gerald | 2020-04-02 from our wine-devel companion:

    Explicitly configure --without-unwind so that the presence of the
    devel/libunwind port does not pull in an implicit dependency that
    is not tracked properly.

  Reported by:	Andy Mender <andymenderunix@gmail.com>
  PR:		245172
  Approved by:	portmgr (blanket: dependency issue)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/emulators/wine/Makefile
Comment 11 commit-hook freebsd_committer 2020-05-16 15:35:58 UTC
A commit references this bug:

Author: gerald
Date: Sat May 16 15:35:20 UTC 2020
New revision: 535468
URL: https://svnweb.freebsd.org/changeset/ports/535468

Log:
  Explicitly configure --without-inotify so that the presence of the
  devel/libinotify port does not pull in an implicit dependency that
  is not tracked properly.

  Reported by:	Andy Mender <andymenderunix@gmail.com>
  PR:		245172
  MFH:		2020Q2 (blanket: missing dependency)

Changes:
  head/emulators/wine/Makefile
Comment 12 Gerald Pfeifer freebsd_committer 2020-05-16 15:42:31 UTC
So... both wine-devel and wine have seen the changes re both libunwind
and libinotify, I have pushed the libunwind changes for both back to the
current quarterly branch, libinotify for wine-devel and I queued the same
for wine to be done in the next week or so.

With that I am closing this report.  Thanks for the feedback!

(There is a similar change re libusb which I've looked at and plan on
applying changes later on - that one appears to be lower prio, though.)
Comment 13 commit-hook freebsd_committer 2020-05-18 22:11:43 UTC
A commit references this bug:

Author: gerald
Date: Mon May 18 22:11:31 UTC 2020
New revision: 535794
URL: https://svnweb.freebsd.org/changeset/ports/535794

Log:
  MFH: r535468

  Explicitly configure --without-inotify so that the presence of the
  devel/libinotify port does not pull in an implicit dependency that
  is not tracked properly.

  Reported by:	Andy Mender <andymenderunix@gmail.com>
  PR:		245172
  Approved by:	ports-secteam (joneum), portmgr (blanket: dependency issue)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/emulators/wine/Makefile
Comment 14 Gerald Pfeifer freebsd_committer 2020-05-18 22:15:40 UTC
That was the last commit I can see related to this.

Should I have missed anything please let me know.